package com.manage.dao;

import com.manage.entity.Power_Sys_Dict;
import com.manage.entity.Power_User;
import com.manage.vo.Power_Sys_DictVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Power_Sys_DictMapper {
    int deleteByPrimaryKey(Integer dictId);

    int insert(Power_Sys_Dict record);

    int insertSelective(Power_Sys_Dict record);

    Power_Sys_DictVo selectByPrimaryKey(Integer dictId);

    int updateByPrimaryKeySelective(Power_Sys_Dict record);

    int updateByPrimaryKey(Power_Sys_Dict record);

    List<Power_Sys_Dict> findSomeByMore(Power_Sys_Dict powerSysDict);

    int getTotal(Power_Sys_Dict powerSysDict);

    List<Power_Sys_Dict> selectList();

    List<Power_Sys_Dict>selectHosList(@Param("userId")Integer userId);

    List<Power_Sys_DictVo>selectSysType();
    List<Power_Sys_DictVo> selectAll(@Param("key")String key);
    List<Power_Sys_DictVo> selectAllByAdmin();

    List<Power_Sys_DictVo> selectAllSys();

    List<Power_Sys_DictVo> selectAllByHosRoleId(@Param("userId") Integer userId,@Param("roleId") Integer roleId,@Param("key")String key);

    List<Power_Sys_DictVo> selectAllByUserId(@Param("userId") Integer userId,@Param("key")String key);

    Power_Sys_DictVo checkHospitalName(String hospitalName);

    Power_Sys_DictVo getHospitalByParentId(@Param("parentId") Integer parentId,@Param("sysType") String sysType);

    List<Power_Sys_Dict> checkSysFlagOrSysNameByDeptIds(@Param("sysFlag") String sysFlag,@Param("sysName") String sysName,@Param("deptIds") String deptIds);

    List<Power_Sys_Dict> checkSysFlagOrSysNameByDeptId(@Param("sysFlag") String sysFlag,@Param("sysName") String sysName,@Param("deptIds") String deptIds);


    List<Power_Sys_Dict> selectAllBySysFlagAndSysName(@Param("sysFlag")String sysFlag,@Param("sysName")String sysName);


    List<Power_Sys_Dict> selectSysFlagsByUserId(@Param("userId")Integer userId,@Param("roleId")Integer roleId);

    int simpleInsertDict(@Param("list")List<Power_Sys_Dict> list);

    List<Power_Sys_Dict> selectDeptIdByParentIdAndSysFlag(@Param("parentId")Integer parentId,@Param("sysFlag")String sysFlag,@Param("deptIds")String deptIds);

    int selectLastDict();
}